Download it now!
Bug 74824 - EDITING: Inserting cells with Ctrl+Shift+= crashes Calc
Summary: EDITING: Inserting cells with Ctrl+Shift+= crashes Calc
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other Linux (All)
: highest critical
Assignee: Kohei Yoshida
URL:
Whiteboard: BSA target:4.3.0 target:4.2.1
Keywords: regression
Depends on:
Blocks: mab4.2
  Show dependency treegraph
 
Reported: 2014-02-11 06:35 UTC by Kevin Hunter
Modified: 2014-02-27 15:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Area of spreadsheet under scrutiny. (83.84 KB, image/png)
2014-02-11 06:35 UTC, Kevin Hunter
Details
Insert Cells dialog box (75.10 KB, image/png)
2014-02-11 06:37 UTC, Kevin Hunter
Details
Calc crashing with weird dialog box (45.67 KB, image/png)
2014-02-11 06:42 UTC, Kevin Hunter
Details
Example ODS file that can trigger crash. (56.75 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-02-11 06:44 UTC, Kevin Hunter
Details
back trace of the crash (1.98 KB, text/plain)
2014-02-11 08:48 UTC, sophie
Details
console logs + bt with symbols (11.11 KB, text/plain)
2014-02-11 19:31 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Hunter 2014-02-11 06:35:28 UTC
Created attachment 93833 [details]
Area of spreadsheet under scrutiny.

Problem description: 

Trying to insert cells into a row with "Merged and Centered" cells crashes LibreOffice.

Steps to reproduce:

    1. Open attached ODS file.

    2. Select cells D10:E14

    3. Hit 'Ctrl+Shift+=' to open the "Insert Cells" dialog box.

    4. Select "Shift cells right"

    5. Hit "Okay".

Please see attached screenshots for a visual reference.

Current behavior:

Calc crashes, throwing a dialog box to the screen that says "Block position not found!"

Expected behavior:

Calc should not crash, and cells should be inserted as per the selected area.

Operating System: Ubuntu
Version: 4.2.0.4 release
Comment 1 Kevin Hunter 2014-02-11 06:37:18 UTC
Created attachment 93834 [details]
Insert Cells dialog box
Comment 2 Kevin Hunter 2014-02-11 06:42:00 UTC
Created attachment 93835 [details]
Calc crashing with weird dialog box
Comment 3 Kevin Hunter 2014-02-11 06:44:59 UTC
Created attachment 93836 [details]
Example ODS file that can trigger crash.
Comment 4 sophie 2014-02-11 08:47:40 UTC
Confirmed with Version: 4.2.0.4
Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71 Ubunt 13.10 x64. 
I'll add a bt of the crash - Sophie
Comment 5 sophie 2014-02-11 08:48:53 UTC
Created attachment 93848 [details]
back trace of the crash
Comment 6 Julien Nabet 2014-02-11 19:31:49 UTC
Created attachment 93881 [details]
console logs + bt with symbols

On pc Debian x86-64 with master sources updated today, I reproduced this.

I attached console logs + bt.
Comment 7 Julien Nabet 2014-02-11 19:35:46 UTC
Kohei: bt shows mdds part, one for you?
Comment 8 Kohei Yoshida 2014-02-11 23:00:59 UTC
I'll take it.
Comment 9 Kohei Yoshida 2014-02-12 14:27:49 UTC
This one was hitting a bug in mdds.  Fixing that in mdds was enough to fix this.
Comment 10 Kohei Yoshida 2014-02-12 14:47:43 UTC
Just released a new version of mdds (0.10.2) that contains the fix for this use case.

http://code.google.com/p/multidimalgorithm/wiki/Downloads?ts=1392215564&updated=Downloads
Comment 11 Commit Notification 2014-02-12 14:54:56 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=07e2c31831ad265b018e5fdf59bdde048fbb4d35

fdo#74824: Update mdds to 0.10.2 which fixes one crasher bug.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Kohei Yoshida 2014-02-12 14:56:06 UTC
4.2 backport request: https://gerrit.libreoffice.org/8018
Comment 13 Commit Notification 2014-02-12 15:26:54 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1bd22f6c86bac5adea4698fabc92b896864c77ba&h=libreoffice-4-2

fdo#74824: Update mdds to 0.10.2 which fixes one crasher bug.


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Kohei Yoshida 2014-02-12 15:28:30 UTC
Fixed in 4.2.1.
Comment 15 Commit Notification 2014-02-20 11:02:25 UTC
Kevin Hunter committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f2471280c7c625e39369f76bd0efa1d2402f62bf

Test for fdo#74824.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.